Summary: console file manager
Name: mc
Version: 4.6.1
Release: 4tr
Group: Trustix Official
Source: http://www.ibiblio.org/pub/Linux/utils/file/managers/mc/mc-%{version}.tar.gz
Patch0:	mc-utf8.patch
Patch1:	mc-extensions.patch
Patch2:	mc-promptfix.patch
Patch3:	mc-uglydir.patch
Patch4:	mc-fish-upload.patch
Patch5:	mc-userhost.patch
URL: http://www.ibiblio.org/mc/
License: GPL
Requires: slang glib e2fsprogs perl 
BuildRequires: glib-devel slang-devel pkgconfig gettext-devel
BuildRequires: e2fsprogs-devel gpm-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
GNU Midnight Commander (also referred to as MC) is a user shell with
text-mode full-screen interface.  It can be run on the OS console, in
xterm and other terminal emulators.

GNU Midnight Commander allows you to manage files while making most of
you screen and giving you a clear representation of the filesystem, yet
it's simple enough to be run over a telnet or ssh session.


%prep
%setup -q
%patch0 -p1 -b .utf8
%patch1 -p1 -b .extensions
%patch2 -p1 -b .promptfix
%patch3 -p1 -b .uglydir
%patch4 -p1 -b .fish-upload
%patch5 -p1 -b .userhost

# convert files in /lib to UTF-8
pushd lib
for i in mc.hint mc.hint.es mc.hint.it mc.hint.nl; do
  iconv -f iso-8859-1 -t utf-8 < ${i} > ${i}.tmp
  mv -f ${i}.tmp ${i}
done

for i in mc.hint.cs mc.hint.hu mc.hint.pl; do
  iconv -f iso-8859-2 -t utf-8 < ${i} > ${i}.tmp
  mv -f ${i}.tmp ${i}
done

for i in mc.hint.sr mc.menu.sr; do
  iconv -f iso-8859-5 -t utf-8 < ${i} > ${i}.tmp
  mv -f ${i}.tmp ${i}
done

iconv -f koi8-r -t utf8 < mc.hint.ru > mc.hint.ru.tmp
mv -f mc.hint.ru.tmp mc.hint.ru
iconv -f koi8-u -t utf8 < mc.hint.uk > mc.hint.uk.tmp
mv -f mc.hint.uk.tmp mc.hint.uk
iconv -f big5 -t utf8 < mc.hint.zh > mc.hint.zh.tmp
mv -f mc.hint.zh.tmp mc.hint.zh
popd

# convert man pages in /doc to UTF-8
pushd doc

pushd ru
for i in mc.1.in xnc.hlp; do
  iconv -f koi8-r -t utf-8 < ${i} > ${i}.tmp
  mv -f ${i}.tmp ${i}
done
popd

pushd sr
for i in mc.1.in mcserv.8.in xnc.hlp; do
  iconv -f iso-8859-5 -t utf-8 < ${i} > ${i}.tmp
  mv -f ${i}.tmp ${i}
done
popd

for d in es it; do
  for i in mc.1.in xnc.hlp; do
    iconv -f iso-8859-3 -t utf-8 < ${d}/${i} > ${d}/${i}.tmp
    mv -f ${d}/${i}.tmp ${d}/${i}
  done
done

for d in hu pl; do
  for i in mc.1.in xnc.hlp; do
    iconv -f iso-8859-2 -t utf-8 < ${d}/${i} > ${d}/${i}.tmp
    mv -f ${d}/${i}.tmp ${d}/${i}
  done
done

popd

%build
%configure \
    --disable-nls \
    --with-gpm-mouse \
    --without-x \
    --without-gnome \
    --without-debug \
    --with-vfs \
    --with-screen=slang \
    --with-ext2undel \
    --with-edit	
    	
CFLAGS="$RPM_OPT_FLAGS" make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
%makeinstall

rm $RPM_BUILD_ROOT%{_datadir}/mc/term/README.xterm || :
rm $RPM_BUILD_ROOT%{_datadir}/mc/extfs/README || :
rm $RPM_BUILD_ROOT%{_datadir}/mc/FAQ || :
rm $RPM_BUILD_ROOT%{_datadir}/mc/mc.hint.* || :
strip $RPM_BUILD_ROOT%{_bindir}/*

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc AUTHORS FAQ
%{_bindir}/mc
%{_bindir}/mcmfmt
%{_bindir}/mcedit
%{_bindir}/mcview
%{_libdir}/mc/
%dir %{_datadir}/mc
%{_datadir}/mc/bin/
%{_datadir}/mc/extfs/
%{_datadir}/mc/syntax/
%{_datadir}/mc/mc*
%{_datadir}/mc/cedit.menu
%{_datadir}/mc/edit.indent.rc
%{_datadir}/mc/edit.spell.rc
%{_mandir}/man1/mc.1*
%{_mandir}/man1/mcedit.1*
%{_mandir}/man1/mcview.1*

%changelog
* Fri Feb 17 2006 Ajith Thampi <ajith at trustix dot org> 4.6.2-4tr
- Added symlinks mcedit mcview. Bug #1609.
		
* Fri Aug 19 2005 Ajith Thampi <ajith at comodo dot com> 4.6.2-3tr
- with ext2undel enabled
- with editing options enabled
- with gpm support enabled
 		
* Wed Aug 17 2005 Ajith Thampi <ajith at comodo dot com> 4.6.1-2tr
- Rebuilt with slang utf8 support.
- Added fix to convert all to utf8 and sync
		
* Tue Aug  9 2005 Nived Gopalan <nived at comodo dot com> 4.6.1-1tr
- Initial build for TSL-3.0
